Package Gnumed :: Package wxpython :: Module gmOrganizationWidgets :: Class cOrgUnitsManagerPnl |
[frames] | no frames]

# Class cOrgUnitsManagerPnl

source code

                                                        wx.Panel --+
                                                                   |
    wxGladeWidgets.wxgGenericListManagerPnl.wxgGenericListManagerPnl --+
                                                                       |
                                    gmListWidgets.cGenericListManagerPnl --+
                                                                           |
                                                                          cOrgUnitsManagerPnl

A list for managing organizational units.

Instance Methods
__init__(self, *args, **kwargs) | source code
refresh(self, lctrl=None) | source code
get_tooltip(self, unit) | source code
Inherited from `gmListWidgets.cGenericListManagerPnl`: `get_selected_item_data`, `set_columns`, `set_data`, `set_selections`, `set_string_items`

Class Variables
| org = `property(_get_org, _set_org)`
| show_none_if_no_org = `property(_get_show_none_if_no_org, _set_`...``
Inherited from `gmListWidgets.cGenericListManagerPnl`: `delete_callback`, `edit_callback`, `left_extra_button`, `message`, `middle_extra_button`, `new_callback`, `refresh_callback`, `right_extra_button`, `select_callback`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgGenericListManagerPnl.wxgGenericListManagerPnl.__init__

Class Variable Details

  ### show_none_if_no_org Value:
      property(_get_show_none_if_no_org, _set_show_none_if_no_org)